1. Digital
Tjar
  • 🗂️ Overview
  • 🚀 Start Here
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Order Statuses
      GET
    • Create Order
      POST
    • Change Order Status
      POST
  • Products
    • Digital
      • Create Digital Product
        POST
      • Get Digital Product Details
        GET
      • Update Digital Product
        PATCH
    • Booking
      • Get Booking Product Details
      • Create Booking Product
      • Update Booking Product
    • Service
      • Get Service Product
      • Create Service Product
      • Update Service Product
    • List All Products
      GET
    • Get Product Details
      GET
    • Create Product
      POST
    • Update Product
      PATCH
    • Delete Product
      DELETE
  • Media
    • Upload Media
      POST
    • Upload Multiple Media
      POST
    • Update Media
      POST
  • Webhook
    • List Webhooks
      GET
    • Register Webhook
      POST
    • Update Webhook
      PUT
    • Delete Webhook
      DELETE
    • Verify Signature
      POST
    • Refresh Secret
      POST
    • Webhook Events
      GET
  • Abandoned Cart
    • List Abandoned Carts
    • Get Abandoned Cart Details
    • Send Reminder
  1. Digital

Create Digital Product

Developing
POST
/products/digital
Last modified:2026-03-07 20:41:50

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201Created
application/json
Body

🟠422Validation Error
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST '/products/digital' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name_ar": "منتج رقمي كامل",
    "name_en": "Full Digital Product",
    "summery_ar": "ملخص المنتج الرقمي الكامل",
    "summery_en": "Full digital product summary",
    "description_ar": "وصف تفصيلي للمنتج الرقمي",
    "description_en": "Detailed description of the digital product",
    "sale_price": 99.99,
    "price": 129.99,
    "cost": 20.00,
    "sku": "DIGI-0001",
    "slug": "full-digital-product-01",
    "status_id": 1,
    "image_id": 741,
    "product_gallery": [
        735,
        736,
        739
    ],
    "brand_id": 1,
    "badge_id": 2,
    "category": [
        1,
        2
    ],
    "sub_category": [
        2,
        1
    ],
    "child_category": [
        1
    ],
    "tags": [
        "digital",
        "premium",
        "full"
    ],
    "min_purchase": 1,
    "max_purchase": 5,
    "is_refundable": false,
    "is_inventory_warning": false,
    "policy_description": "No returns on digital products.",
    "video_source": "youtube",
    "video_id": "dQw4w9WgXcQ",
    "general_title": "Full Digital Product SEO Title",
    "general_description": "Full digital product SEO description",
    "facebook_title": "Check this digital product on Facebook",
    "facebook_description": "Amazing digital product on Facebook",
    "facebook_image": 742,
    "twitter_title": "Check this digital product on Twitter",
    "twitter_description": "Amazing digital product on Twitter",
    "twitter_image": 743,
    "product_options": [
        {
            "type": "radio",
            "title": {
                "ar": "الحجم",
                "en": "Size"
            },
            "subTitle": {
                "ar": "",
                "en": ""
            },
            "isRequired": true,
            "multiSelect": false,
            "options": {
                "ar": {
                    "صغير": 0,
                    "كبير": 10
                },
                "en": {
                    "Small": 0,
                    "Large": 10
                }
            }
        }
    ],
    "related_products": [
        2
    ],
    "release_date": "2024-01-01",
    "update_date": "2024-06-01",
    "additional_information": {
        "platform": "Windows, Mac, Linux",
        "language": "English, Arabic",
        "version": "2.0"
    },
    "digital_type": "digital_cards",
    "entry_code_method": "separate_code",
    "separate_digital_cards": [
        "PREM-CODE-001",
        "PREM-CODE-002",
        "PREM-CODE-003"
    ]
}'
Response Response Example
201 - Example 1
{
    "status": "success",
    "message": "Digital product created successfully",
    "data": {
        "id": 202,
        "identifier": 202,
        "name": {
            "ar": "منتج رقمي كامل",
            "en": "Full Digital Product"
        },
        "summary": {
            "ar": "ملخص المنتج الرقمي الكامل",
            "en": "Full digital product summary"
        },
        "description": {
            "ar": "وصف تفصيلي للمنتج الرقمي",
            "en": "Detailed description of the digital product"
        },
        "type": "digital",
        "price": 129.99,
        "sale_price": 99.99,
        "is_refundable": false,
        "min_purchase": 1,
        "max_purchase": 5,
        "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/3-screen-of-tutorial1766840221.png",
        "is_published": true,
        "ratings": null,
        "created_at": "2026-03-07 23:39:40",
        "updated_at": "2026-03-07 23:39:40",
        "brand": {
            "id": 1,
            "title": "",
            "name": {
                "ar": "Brand A",
                "en": "Brand A"
            },
            "description": {
                "ar": "Brand A",
                "en": "Brand A"
            },
            "logo": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/download1748277198.jpg",
            "banner": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/download1748277198.jpg"
        },
        "tags": [
            {
                "id": 407,
                "tag_name": "digital"
            },
            {
                "id": 408,
                "tag_name": "premium"
            },
            {
                "id": 409,
                "tag_name": "full"
            }
        ],
        "categories": [
            {
                "id": 1,
                "name": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "description": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            },
            {
                "id": 2,
                "name": {
                    "ar": "Pakaian",
                    "en": "Pakaian"
                },
                "description": {
                    "ar": "Pakaian",
                    "en": "Pakaian"
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            }
        ]
    }
}
Modified at 2026-03-07 20:41:50
Previous
Products
Next
Get Digital Product Details
Built with